package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.PropertiesFile;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Properties;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.apache.cxf.jaxrs.client.WebClient;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/ServEpCheckTokenAction.class */
public class ServEpCheckTokenAction extends LifeAction {
    public String loginkey;
    public String accesstoken;

    /* JADX WARN: Type inference failed for: r0v12, types: [boolean, java.lang.Exception] */
    public String execute(Context context) throws GENEException {
        new SimpleDateFormat("yyyyMMddHHmmss");
        Calendar.getInstance();
        String loginkeyStr = "";
        try {
            loginkeyStr = context.getDataValue(this.loginkey).toString();
        } catch (Exception unused) {
        }
        String accesstokenStr = context.getDataValue(this.accesstoken).toString();
        Properties bankDBSourceProperties = PropertiesFile.getProperties("/properties/creditApiPath.properties");
        String property = bankDBSourceProperties.getProperty("checkEpUserTokenPath");
        String urlAu = bankDBSourceProperties.getProperty("checkAuUserTokenPath");
        ?? isNotEmpty = StringUtils.isNotEmpty(loginkeyStr);
        if (isNotEmpty != 0) {
            try {
                WebClient client = WebClient.create(String.valueOf(urlAu) + accesstokenStr);
                client.accept(new String[]{"application/json"}).type("application/json");
                System.out.println(client.getCurrentURI());
                System.out.println("请求地址=====" + client.getCurrentURI());
                String result = (String) client.get(String.class);
                context.put("serResult", result);
                context.put("serName", urlAu);
                System.out.println("传递政府信息接口结果=====".concat(String.valueOf(result)));
                JSONObject saveAuthJsonOb = JSONObject.fromObject(result);
                context.put("codeEp", saveAuthJsonOb.get("code").toString());
                if ("0".equals(saveAuthJsonOb.get("code").toString())) {
                    JSONObject dataJson = JSONObject.fromObject(saveAuthJsonOb.get("data").toString());
                    String id = dataJson.get("id").toString();
                    String username = dataJson.get("username").toString();
                    String email = dataJson.get("email").toString();
                    String mobileno = dataJson.get("mobileno").toString();
                    String usertype = dataJson.get("usertype").toString();
                    String truename = dataJson.get("truename").toString();
                    String orgno = dataJson.get("orgno").toString();
                    String deptno = dataJson.get("deptno").toString();
                    context.put("idAu", id);
                    context.put("usernameAu", username);
                    context.put("emailAu", email);
                    context.put("mobilenoAu", mobileno);
                    context.put("usertypeAu", usertype);
                    context.put("truenameAu", truename);
                    context.put("orgnoAu", orgno);
                    context.put("deptnoAu", deptno);
                    return "0";
                }
                throw new TranFailException(saveAuthJsonOb.get("code").toString(), "登录失败");
            } catch (Exception e) {
                isNotEmpty.printStackTrace();
                return "0";
            }
        }
        try {
            WebClient client2 = WebClient.create(String.valueOf(property) + accesstokenStr);
            client2.accept(new String[]{"application/json"}).type("application/json");
            System.out.println(client2.getCurrentURI());
            client2.replaceQueryParam("apikey", new Object[]{loginkeyStr}).replaceQueryParam("token", new Object[]{accesstokenStr});
            System.out.println("请求地址=====" + client2.getCurrentURI());
            String result2 = (String) client2.get(String.class);
            context.put("serResult", result2);
            context.put("serName", property);
            System.out.println("传递金服企业信息接口结果=====".concat(String.valueOf(result2)));
            JSONObject saveAuthJsonOb2 = JSONObject.fromObject(result2);
            context.put("codeEp", saveAuthJsonOb2.get("code").toString());
            if ("0".equals(saveAuthJsonOb2.get("code").toString())) {
                JSONObject dataJson2 = JSONObject.fromObject(saveAuthJsonOb2.get("data").toString());
                String loginname = dataJson2.get("loginname").toString();
                String id2 = dataJson2.get("id").toString();
                String username2 = dataJson2.get("username").toString();
                String email2 = dataJson2.get("email").toString();
                String mobileno2 = dataJson2.get("mobileno").toString();
                String usertype2 = dataJson2.get("usertype").toString();
                JSONObject mainbodyJson = JSONObject.fromObject(dataJson2.get("mainbody"));
                String organcode = mainbodyJson.get("organcode").toString();
                String uscc = mainbodyJson.get("uscc").toString();
                String obj = mainbodyJson.get("epname").toString();
                String epname = obj;
                if (!StringUtils.isEmpty(obj)) {
                    epname = epname.replace("(", "（").replace(")", "）");
                }
                context.put("loginnameEp", loginname);
                context.put("idEp", id2);
                context.put("usernameEp", username2);
                context.put("emailEp", email2);
                context.put("mobilenoEp", mobileno2);
                context.put("usertypeEp", usertype2);
                context.put("organcodeEp", organcode);
                context.put("usccEp", uscc);
                context.put("epnameEp", epname);
                return "0";
            }
            throw new TranFailException(saveAuthJsonOb2.get("code").toString(), "登录失败");
        } catch (Exception e2) {
            isNotEmpty.printStackTrace();
            return "0";
        }
    }

    public String getAccesstoken() {
        return this.accesstoken;
    }

    public void setAccesstoken(String accesstoken) {
        this.accesstoken = accesstoken;
    }

    public String getLoginkey() {
        return this.loginkey;
    }

    public void setLoginkey(String loginkey) {
        this.loginkey = loginkey;
    }
}
